Infront Data Manager Connect Client (.NET)

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Gevasys.DataCore.Configuration.Generated.Configuration Class Reference

This class represents the Element Configuration More...

Inherits Gevasys.DataCore.Configuration.Generated.XmlCommonBase.

## Public Member Functions
| Configuration ()
| Constructor for Configuration More...
| Configuration (String elementName)
override object | Clone ()
| Allows the class to be copied More...
override LiquidTechnologies.Runtime.Net40.XmlObjectBase | GetBase ()

## Protected Member Functions
override void | Init ()
| Initilizes the class More...

## Protected Attributes
Gevasys.DataCore.Configuration.Generated.BaseConfiguration | m_BaseConfig
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleConsumer > | m_SingleConsumer
Gevasys.DataCore.Configuration.Generated.Partitioner | m_Partitioner
Gevasys.DataCore.Configuration.Generated.Upstream_Nillable | m_Upstream
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer > | m_StaticDataConsumer
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer > | m_RoutingDataConsumer
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleRetransmitConsumer > | m_RetransmitConsumer
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer > | m_PlainDataConsumer

## Properties
override String | TargetNamespace`[get]`
Gevasys.DataCore.Configuration.Generated.BaseConfiguration | BaseConfig`[get, set]`
| Represents a mandatory Element in the XML document More...
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleConsumer > | SingleConsumer`[get]`
| A collection of SingleConsumer's More...
Gevasys.DataCore.Configuration.Generated.Partitioner | Partitioner`[get, set]`
| Represents an optional Element in the XML document More...
Gevasys.DataCore.Configuration.Generated.Upstream_Nillable | Upstream`[get, set]`
| Represents an optional Element in the XML document More...
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer > | StaticDataConsumer`[get]`
| A collection of StaticDataConsumer's More...
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer > | RoutingDataConsumer`[get]`
| A collection of RoutingDataConsumer's More...
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleRetransmitConsumer > | RetransmitConsumer`[get]`
| A collection of RetransmitConsumer's More...
Gevasys.DataCore.Configuration.Generated.XmlObjectCollection< Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer > | PlainDataConsumer`[get]`
| A collection of PlainDataConsumer's More...
override String | Namespace`[get]`

## Detailed Description

This class represents the Element Configuration

## Constructor & Destructor Documentation

## ◆ Configuration()

Gevasys.DataCore.Configuration.Generated.Configuration.Configuration | ( |  | ) |
| inline

Constructor for Configuration

The class is created with all the mandatory fields populated with the default data.
All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd

## Member Function Documentation

## ◆ Clone()

override object Gevasys.DataCore.Configuration.Generated.Configuration.Clone | ( |  | ) |
| inline

Allows the class to be copied

Performs a 'deep copy' of all the data in the class (and its children)

## ◆ Init()

override void Gevasys.DataCore.Configuration.Generated.Configuration.Init | ( |  | ) |
| inline protected

Initilizes the class

The Creates all the mandatory fields (populated with the default data) All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd.

## Property Documentation

## ◆ BaseConfig

Gevasys.DataCore.Configuration.Generated.BaseConfiguration Gevasys.DataCore.Configuration.Generated.Configuration.BaseConfig
| get set

Represents a mandatory Element in the XML document

This property is represented as an Element in the XML.
It is mandatory and therefore must be populated within the XML.
If this property is set, then the object will be COPIED. If the property is set to null an exception is raised.

## ◆ Partitioner

Gevasys.DataCore.Configuration.Generated.Partitioner Gevasys.DataCore.Configuration.Generated.Configuration.Partitioner
| get set

Represents an optional Element in the XML document

This property is represented as an Element in the XML.
It is optional, initially it is null.

## ◆ PlainDataConsumer

Gevasys.DataCore.Configuration.Generated.XmlObjectCollection<Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer> Gevasys.DataCore.Configuration.Generated.Configuration.PlainDataConsumer
| get

A collection of PlainDataConsumer's

This property is represented as an Element in the XML.
This collection may contain 0 to 256 objects.

## ◆ RetransmitConsumer

Gevasys.DataCore.Configuration.Generated.XmlObjectCollection<Gevasys.DataCore.Configuration.Generated.SingleRetransmitConsumer> Gevasys.DataCore.Configuration.Generated.Configuration.RetransmitConsumer
| get

A collection of RetransmitConsumer's

This property is represented as an Element in the XML.
This collection may contain 0 to 256 objects.

## ◆ RoutingDataConsumer

Gevasys.DataCore.Configuration.Generated.XmlObjectCollection<Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer> Gevasys.DataCore.Configuration.Generated.Configuration.RoutingDataConsumer
| get

A collection of RoutingDataConsumer's

This property is represented as an Element in the XML.
This collection may contain 0 to 256 objects.

## ◆ SingleConsumer

Gevasys.DataCore.Configuration.Generated.XmlObjectCollection<Gevasys.DataCore.Configuration.Generated.SingleConsumer> Gevasys.DataCore.Configuration.Generated.Configuration.SingleConsumer
| get

A collection of SingleConsumer's

This property is represented as an Element in the XML.
This collection may contain 0 to 256 objects.

## ◆ StaticDataConsumer

Gevasys.DataCore.Configuration.Generated.XmlObjectCollection<Gevasys.DataCore.Configuration.Generated.SingleStaticDataConsumer> Gevasys.DataCore.Configuration.Generated.Configuration.StaticDataConsumer
| get

A collection of StaticDataConsumer's

This property is represented as an Element in the XML.
This collection may contain 0 to 256 objects.

## ◆ Upstream

Gevasys.DataCore.Configuration.Generated.Upstream_Nillable Gevasys.DataCore.Configuration.Generated.Configuration.Upstream
| get set

Represents an optional Element in the XML document

This property is represented as an Element in the XML.
It is optional, initially it is null.

The documentation for this class was generated from the following file:

- Configuration.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1